Loading...
Searching...
No Matches
elxElastixBase.h File Reference
`#include "elxBaseComponent.h"`
`#include "elxComponentDatabase.h"`
`#include "elxConfiguration.h"`
`#include "elxIterationInfo.h"`
`#include "elxMacro.h"`
`#include "elxlog.h"`
`#include <itkChangeInformationImageFilter.h>`
`#include <itkDataObject.h>`
`#include <itkImageFileReader.h>`
`#include <itkObject.h>`
`#include <itkTimeProbe.h>`
`#include <itkVectorContainer.h>`
`#include <fstream>`
`#include <iomanip>`
Include dependency graph for elxElastixBase.h:

Go to the source code of this file.

## Data Structures

class | elastix::ElastixBase
class | elastix::ElastixBase::MultipleImageLoader< TImage >

## Namespaces

namespace | elastix

## Macros

#define | elxGetNumberOfMacro(_name)
#define | elxGetObjectMacro(_name, _type)
#define | elxSetObjectMacro(_name, _type)

## Macro Definition Documentation

## elxGetNumberOfMacro

#define elxGetNumberOfMacro | ( |  | _name | ) |

Value:
unsigned int GetNumberOf##_name##s() const \
{ \
if (m_##_name##Container != nullptr) \
{ \
return m_##_name##Container->Size(); \
} \
return 0; \
}

defines for example: GetNumberOfMetrics()

Definition at line 71 of file elxElastixBase.h.

## elxGetObjectMacro

#define elxGetObjectMacro | ( |  | _name,
|  |  | _type )

Value:
_type * Get##_name() const { return m_##_name.GetPointer(); }

This file contains the declaration of the elx::ElastixBase class. elx::ElastixTemplate<> inherits from this class. It is an abstract class, since it contains pure virtual functions (which must be implemented in ElastixTemplate<>).

The Configuration object is stored in this class. Like itkGet/SetObjectMacro, but in these macros the itkDebugMacro is not called. Besides, they are not virtual, since for now we do not need to override them somewhere.

These macros are undef'd at the end of this file

Definition at line 55 of file elxElastixBase.h.

## elxSetObjectMacro

#define elxSetObjectMacro | ( |  | _name,
|  |  | _type )

Value:
void Set##_name(_type * _arg) \
{ \
if (m_##_name != _arg) \
{ \
m_##_name = _arg; \
this->itk::Object::Modified(); \
} \
}

Definition at line 59 of file elxElastixBase.h.

Generated on 1768596610 for elastix by 1.15.0 |